aboutsummaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authorGuido Günther <agx@sigxcpu.org>2022-11-24 15:00:15 +0100
committerGuido Günther <agx@sigxcpu.org>2022-11-24 15:01:31 +0100
commitf102dca17eeeec8fc6b247b6c44f52cdf582e828 (patch)
tree39b8cb6a727629fc061cefca5c63f3c49ba79c92
parentb0e4374517e3098f73504536a8a2f00125452287 (diff)
examples: Add upload script
-rwxr-xr-xexamples/gbp-upload23
1 files changed, 23 insertions, 0 deletions
diff --git a/examples/gbp-upload b/examples/gbp-upload
new file mode 100755
index 00000000..b2204b6d
--- /dev/null
+++ b/examples/gbp-upload
@@ -0,0 +1,23 @@
+#!/bin/sh
+#
+# Tag, upload to the Debian archive and push to the remote
+
+set -e
+
+REMOTE=salsa+rw
+
+if gbp config upload.remote; then
+ REMOTE="$(gbp config upload.remote)"
+fi
+
+VERSION="$(dpkg-parsechangelog -S Version)"
+SOURCE="$(dpkg-parsechangelog -S Source)"
+CHANGES="../${SOURCE}_${VERSION}_source.changes"
+
+less "${CHANGES}"
+
+gbp tag
+debsign -S
+
+dput "${CHANGES}"
+gbp push "${REMOTE}"